document.addEventListener('DOMContentLoaded', () => {
  const form = document.getElementById('itineraryForm');
  const result = document.getElementById('result');
  const itineraryContent = document.getElementById('itineraryContent');

  form.addEventListener('submit', (e) => {
    e.preventDefault();
    
    const source = document.getElementById('source').value;
    const destination = document.getElementById('destination').value;
    const type = document.getElementById('type').value;
    const budget = document.getElementById('budget').value;
    
    generateItinerary(source, destination, type, budget);
  });

  function generateItinerary(source, destination, type, budget) {
    // This is a simplified example. In a real application, 
    // this would connect to a backend service
    const daysToSpend = Math.floor(budget / 200);
    const isTouristy = type === 'touristy';
    
    let itinerary = `
      <div class="itinerary-details">
        <h4>Trip Summary</h4>
        <p>From: ${source}</p>
        <p>To: ${destination}</p>
        <p>Style: ${isTouristy ? 'Popular Tourist Spots' : 'Hidden Gems'}</p>
        <p>Budget: $${budget}</p>
        <p>Recommended Days: ${daysToSpend}</p>
        
        <h4>Daily Schedule</h4>
        <ul>
    `;
    
    for (let i = 1; i <= daysToSpend; i++) {
      itinerary += `
        <li>
          <strong>Day ${i}:</strong>
          <ul>
            <li>${isTouristy ? 'Visit popular attraction' : 'Explore local neighborhood'}</li>
            <li>${isTouristy ? 'Famous restaurant' : 'Local eatery'}</li>
            <li>${isTouristy ? 'Shopping at main street' : 'Visit local markets'}</li>
          </ul>
        </li>
      `;
    }
    
    itinerary += `</ul></div>`;
    
    itineraryContent.innerHTML = itinerary;
    result.classList.remove('hidden');
    
    result.scrollIntoView({ behavior: 'smooth' });
  }
});
